<?php
/*
Plugin Name: Custom Post Meta Info By Hany Elnaggar
Plugin URI: https://hanybee.com/Custom-Post-Meta-Info
Description: عرض تلقائي لمعلومات الكاتب وتاريخ النشر والتحديث داخل صفحة المقال.
Version: 1.0
Author: Hany
Author URI: https://hanybee.com/
License: GPL2
*/

if (!defined('ABSPATH')) exit;

// وظيفة عرض بيانات المقال
function custom_post_meta() {
    $author_name = get_the_author();
    $published_date = get_the_date('d M Y');
    $modified_date = get_the_modified_date('d M Y');

    $updated_text = ($modified_date !== $published_date)
        ? '<span><i class="fas fa-sync-alt"></i> تم التحديث: ' . esc_html($modified_date) . '</span>'
        : '';

    ob_start();
    ?>
    <div class="custom-post-meta" style="display: flex; align-items: center; flex-wrap: wrap; gap: 15px; font-size: 14px; color: #444; margin-bottom: 15px; padding: 10px 0;">
        <span><i class="fas fa-user"></i> الكاتب: <?php echo esc_html($author_name); ?></span>
        <span><i class="fas fa-calendar-alt"></i> النشر: <?php echo esc_html($published_date); ?></span>
        <?php if ($updated_text) echo $updated_text; ?>
    </div>
    <?php
    return ob_get_clean();
}

// إدراج البيانات تلقائيًا داخل المقال
function add_custom_post_meta($content) {
    if (is_single() && in_the_loop() && is_main_query()) {
        return custom_post_meta() . $content;
    }
    return $content;
}
add_filter('the_content', 'add_custom_post_meta');

// تحميل Font Awesome تلقائيًا (اختياري)
function enqueue_fontawesome_for_postmeta() {
    wp_enqueue_style('font-awesome-cpm', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css');
}
add_action('wp_enqueue_scripts', 'enqueue_fontawesome_for_postmeta');
